CREATE INDEX idx_hs_cls_tenant_deleted_cls
    ON bse_mtrl_hs_cls(tenant_id, deleted, CLS_ID, INF_ID);

CREATE INDEX idx_hs_cls_composite
    ON bse_mtrl_hs_cls(tenant_id, deleted, CLS_ID);

CREATE INDEX idx_mtrl_inf_tenant_deleted_id
    ON bse_mtrl_inf(tenant_id, deleted, id);

CREATE INDEX idx_mtrl_inf_tenant_deleted_cd
    ON bse_mtrl_inf(tenant_id, deleted, CD, id);

CREATE INDEX idx_mtrl_inf_cover
    ON bse_mtrl_inf(tenant_id, deleted, CD, id, NAME, RMK, create_time, update_time, creator, updater);

CREATE INDEX idx_hs_prps_tenant_deleted_inf
    ON bse_mtrl_hs_prps(tenant_id, deleted, INF_ID, PRPS_ID);

CREATE INDEX idx_hs_prps_tenant_inf_deleted
    ON bse_mtrl_hs_prps(tenant_id, INF_ID, deleted);

CREATE INDEX idx_hs_prps_cover
    ON bse_mtrl_hs_prps(tenant_id, deleted, INF_ID, PRPS_ID, UNT_ID, IS_KY, IS_MTNG, SRT, DEPT_ID);

CREATE INDEX idx_mtrl_prps_tenant_deleted_id
    ON bse_mtrl_prps(tenant_id, deleted, id);

CREATE INDEX idx_mtrl_prps_cover
    ON bse_mtrl_prps(tenant_id, deleted, id, CD, NAME, UNT_QTY_ID, DIC_DAT_VAL, DAT_TP, RMK, DEPT_ID);

CREATE INDEX IDX_PRPS_TEN_DEL_VAL64
    ON JYGK_TEST.BSE_MTRL_HS_PRPS (
       PRPS_ID, TENANT_ID, DELETED,
       SUBSTR(VAL, 1, 64)
    );